Bug 988936 - HPCupFilter.cpp flooding syslog
HPCupFilter.cpp flooding syslog
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-26 13:59 EDT by Dominique Brazziel
Modified: 2013-08-14 23:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: hplip-3.13.7-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-14 23:00:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dominique Brazziel 2013-07-26 13:59:04 EDT
Description of problem:
HPCupsFilter.cpp flooding syslog 

Version-Release number of selected component (if applicable):
3.13.5, 3.13.6

How reproducible:
Print something 

Steps to Reproduce:
1. Print something

Actual results:
In hplip 3.13.5, there are what look to be leftover debugging lines add to HPCupsFilter.cpp, causing /var/log/syslog (and the systemd journal) to be flooded with:

prnt/hpcups/HPCupsFilter.cpp 157: ERROR: File pointer is NULL!

error messages whenever something is printed to the point that rate-limiting kicks in.

See also https://bugs.launchpad.net/hplip/+bug/1186406.  That bug has a 
link to a patch to remove the annoying messages

Expected results:
No log spam and the attendant systemd-journald CPU utilization spike.

Additional info:
Comment 1 Fedora Update System 2013-07-26 14:08:52 EDT
hplip-3.13.7-1.fc18 has been submitted as an update for Fedora 18.
Comment 2 Fedora Update System 2013-07-27 21:07:44 EDT
Package hplip-3.13.7-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.13.7-1.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Dominique Brazziel 2013-07-30 15:30:02 EDT
Just updated and printed without any syslog spam from hpcups.  Left good karma.
It works, thanks for the quick response!
Comment 4 Fedora Update System 2013-08-14 23:00:09 EDT
hplip-3.13.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.